<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Missions/Scripts/4_world/dayzexpansion_missions/entities/contaminatedarea/expansioncontaminatedarea.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d5/d2c/a02012_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">expansioncontaminatedarea.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d5/d2c/a02012.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../df/d91/a06133.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../df/d91/a06133.html">ExpansionContaminatedArea</a> : <a class="code hl_class" href="../../de/d4f/a05221.html">House</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../df/d91/a06133.html#a7f231a15cfaa6dbf2851fd6ad4311a2b">    3</a></span>    <span class="keyword">static</span> ref array&lt;ExpansionContaminatedArea&gt; <a class="code hl_variable" href="../../df/d91/a06133.html#a7f231a15cfaa6dbf2851fd6ad4311a2b">s_ContaminatedAreas</a> = <span class="keyword">new</span> array&lt;ExpansionContaminatedArea&gt;();</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"></span> </div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment">    /**</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment">     * @note Only can be called on the client</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment">     */</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../df/d91/a06133.html#a91514c7440c747b2606f809266274930">    8</a></span>    <span class="keyword">static</span> <a class="code hl_class" href="../../df/d91/a06133.html">ExpansionContaminatedArea</a> <a class="code hl_function" href="../../df/d91/a06133.html#a91514c7440c747b2606f809266274930">GetArea</a>(vector <a class="code hl_variable" href="../../d2/d11/a02384.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a>)</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>    {</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>        <span class="keywordtype">int</span> closest = -1;</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>        <span class="keywordtype">float</span> minDist = FLT_MAX;</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>        <span class="keywordflow">for</span> (<span class="keywordtype">int</span> i = 0; i &lt; <a class="code hl_variable" href="../../df/d91/a06133.html#a7f231a15cfaa6dbf2851fd6ad4311a2b">s_ContaminatedAreas</a>.Count(); i++)</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>        {</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>            <span class="keywordtype">float</span> dist = vector.DistanceSq(<a class="code hl_variable" href="../../df/d91/a06133.html#a7f231a15cfaa6dbf2851fd6ad4311a2b">s_ContaminatedAreas</a>[i].GetWorldPosition(), <a class="code hl_variable" href="../../d2/d11/a02384.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a>);</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>            <span class="keywordflow">if</span> (dist &lt;= <a class="code hl_variable" href="../../df/d91/a06133.html#a7f231a15cfaa6dbf2851fd6ad4311a2b">s_ContaminatedAreas</a>[i].<a class="code hl_variable" href="../../df/d91/a06133.html#ac8277e216093fef1009d98d93046ca80">m_Radius</a> &amp;&amp; dist &lt; minDist)</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>            {</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>                closest = i;</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>                minDist = dist;</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>            }</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        }</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span> </div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        <span class="keywordflow">if</span> (closest == -1)</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>            <span class="keywordflow">return</span> null;</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span> </div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../df/d91/a06133.html#a7f231a15cfaa6dbf2851fd6ad4311a2b">s_ContaminatedAreas</a>[closest];</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    }</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span> </div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno"><a class="line" href="../../df/d91/a06133.html#a86d8f49204f9ec75486d0ff86b3cd8d1">   29</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../df/d91/a06133.html#a86d8f49204f9ec75486d0ff86b3cd8d1">m_DecayState</a> = eAreaDecayStage.INIT;</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno"><a class="line" href="../../df/d91/a06133.html#a66f8c4428a36d4b1743fe2d5f46f85f6">   30</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../df/d91/a06133.html#a66f8c4428a36d4b1743fe2d5f46f85f6">m_DecayStateSynch</a> = eAreaDecayStage.INIT;</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno"><a class="line" href="../../df/d91/a06133.html#ac8277e216093fef1009d98d93046ca80">   31</a></span>    <span class="keywordtype">float</span> <a class="code hl_variable" href="../../df/d91/a06133.html#ac8277e216093fef1009d98d93046ca80">m_Radius</a> = 100;</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno"><a class="line" href="../../df/d91/a06133.html#a54bee18fdd755f58a22a97b4a0e0e6b6">   32</a></span>    <span class="keywordtype">float</span> <a class="code hl_variable" href="../../df/d91/a06133.html#a54bee18fdd755f58a22a97b4a0e0e6b6">m_PositiveHeight</a> = 25;</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno"><a class="line" href="../../df/d91/a06133.html#aff484f863007818245813674cb9acb37">   33</a></span>    <span class="keywordtype">float</span> <a class="code hl_variable" href="../../df/d91/a06133.html#aff484f863007818245813674cb9acb37">m_NegativeHeight</a> = 10;</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno"><a class="line" href="../../df/d91/a06133.html#a03a1516667c8a5a451c9a608a7f345d9">   34</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../df/d91/a06133.html#a03a1516667c8a5a451c9a608a7f345d9">m_InnerRings</a> = 1;</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno"><a class="line" href="../../df/d91/a06133.html#ab4b8970456f39b383e063d94678f1286">   35</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../df/d91/a06133.html#ab4b8970456f39b383e063d94678f1286">m_InnerSpacing</a> = 35;</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno"><a class="line" href="../../df/d91/a06133.html#a6c4baee4aaee6ddee968bce623ec18fa">   36</a></span>    <span class="keywordtype">bool</span> <a class="code hl_variable" href="../../df/d91/a06133.html#a6c4baee4aaee6ddee968bce623ec18fa">m_OuterRingToggle</a> = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno"><a class="line" href="../../df/d91/a06133.html#ae96ca5f4d2a529ab02ea0bc096c8b3ba">   37</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../df/d91/a06133.html#ae96ca5f4d2a529ab02ea0bc096c8b3ba">m_OuterRingOffset</a> = -5;</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno"><a class="line" href="../../df/d91/a06133.html#a8a7e0f47377d87319d224bf765a21d6e">   38</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../df/d91/a06133.html#a8a7e0f47377d87319d224bf765a21d6e">m_OuterSpacing</a> = 20;</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno"><a class="line" href="../../df/d91/a06133.html#abe653a725ae7af97bcc8a4aab5a7543f">   39</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../df/d91/a06133.html#abe653a725ae7af97bcc8a4aab5a7543f">m_VerticalLayers</a> = 0;</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno"><a class="line" href="../../df/d91/a06133.html#a99f52f9d6690c0691def10490a5f14db">   40</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../df/d91/a06133.html#a99f52f9d6690c0691def10490a5f14db">m_VerticalOffset</a> = 10;</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno"><a class="line" href="../../df/d91/a06133.html#ac2dbc63023e5fbe1914990dcaea5786a">   41</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../df/d91/a06133.html#ac2dbc63023e5fbe1914990dcaea5786a">m_ParticleID</a> = <a class="code hl_class" href="../../dc/df8/a04305.html">ParticleList</a>.CONTAMINATED_AREA_GAS_BIGASS;</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno"><a class="line" href="../../df/d91/a06133.html#aee857f8cdc5fd24c33c85660788bcf3b">   42</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../df/d91/a06133.html#aee857f8cdc5fd24c33c85660788bcf3b">m_AroundParticleID</a> = <a class="code hl_class" href="../../dc/df8/a04305.html">ParticleList</a>.CONTAMINATED_AREA_GAS_AROUND;</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno"><a class="line" href="../../df/d91/a06133.html#a058dbef588e174d7b082bca7fc602aca">   43</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../df/d91/a06133.html#a058dbef588e174d7b082bca7fc602aca">m_TinyParticleID</a> = <a class="code hl_class" href="../../dc/df8/a04305.html">ParticleList</a>.CONTAMINATED_AREA_GAS_TINY;</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno"><a class="line" href="../../df/d91/a06133.html#ae80a526fdf686f09f8c2aa04300edf22">   44</a></span>    <span class="keywordtype">string</span> <a class="code hl_variable" href="../../df/d91/a06133.html#ae80a526fdf686f09f8c2aa04300edf22">m_PPERequesterType</a> = <span class="stringliteral">&quot;PPERequester_ContaminatedAreaTint&quot;</span>;</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno"><a class="line" href="../../df/d91/a06133.html#a4670ba50c20c1f95774cc8d572031dd6">   45</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../df/d91/a06133.html#a4670ba50c20c1f95774cc8d572031dd6">m_PPERequesterIdx</a>;</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span> </div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno"><a class="line" href="../../df/d91/a06133.html#aa1cee0d62f88364d58e5d0d7cf39fdd0">   47</a></span>    ref array&lt;Particle&gt; <a class="code hl_variable" href="../../df/d91/a06133.html#aa1cee0d62f88364d58e5d0d7cf39fdd0">m_ToxicClouds</a> = <span class="keyword">new</span> array&lt;Particle&gt;();</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span> </div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno"><a class="line" href="../../df/d91/a06133.html#a5579cf8602cdb56a124e08f591632db6">   49</a></span>    ref Timer <a class="code hl_variable" href="../../df/d91/a06133.html#a5579cf8602cdb56a124e08f591632db6">m_StartupTimer</a>;</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno"><a class="line" href="../../df/d91/a06133.html#a362b86da45d00110c2c3c6cca2192cf1">   50</a></span>    ref Timer <a class="code hl_variable" href="../../df/d91/a06133.html#a362b86da45d00110c2c3c6cca2192cf1">m_FXTimer</a>;</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno"><a class="line" href="../../df/d91/a06133.html#a50ecf09393eb2581566391f9440b8c52">   51</a></span>    FlareLight <a class="code hl_variable" href="../../df/d91/a06133.html#a50ecf09393eb2581566391f9440b8c52">m_FlareLight</a>;</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno"><a class="line" href="../../df/d91/a06133.html#a9c39c59cabe4c5206ae761d7703c112d">   52</a></span>    ShellLight <a class="code hl_variable" href="../../df/d91/a06133.html#a9c39c59cabe4c5206ae761d7703c112d">m_ShellLight</a>; <span class="comment">// Light used upon ariborne shell detonation</span></div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno"><a class="line" href="../../df/d91/a06133.html#a869d4c817401ee06809d3bd18aef0eb2">   53</a></span>    vector <a class="code hl_variable" href="../../df/d91/a06133.html#a869d4c817401ee06809d3bd18aef0eb2">m_OffsetPos</a>;      <span class="comment">// This will be the position at which we spawn all future airborne FX</span></div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span> </div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>    <span class="comment">// Constants used for startup events</span></div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno"><a class="line" href="../../df/d91/a06133.html#a10b75b66eb4ca47ac33de491bdcddf21">   56</a></span>    <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../df/d91/a06133.html#a10b75b66eb4ca47ac33de491bdcddf21">AIRBORNE_EXPLOSION_DELAY</a> = 20;</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno"><a class="line" href="../../df/d91/a06133.html#a20d3144b4d9610782228dd8272532a82">   57</a></span>    <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../df/d91/a06133.html#a20d3144b4d9610782228dd8272532a82">AREA_SETUP_DELAY</a> = 10;</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno"><a class="line" href="../../df/d91/a06133.html#a57e93fcfc2d0421244dcd8cfaa1033e0">   58</a></span>    <span class="keyword">const</span> <span class="keywordtype">float</span> <a class="code hl_variable" href="../../df/d91/a06133.html#a57e93fcfc2d0421244dcd8cfaa1033e0">AIRBORNE_FX_OFFSET</a> = 50;</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno"><a class="line" href="../../df/d91/a06133.html#a358bdd55e1fbe3a13be4bd57ff4fbb72">   59</a></span>    <span class="keyword">const</span> <span class="keywordtype">float</span> <a class="code hl_variable" href="../../df/d91/a06133.html#a358bdd55e1fbe3a13be4bd57ff4fbb72">ARTILLERY_SHELL_SPEED</a> = 100; <span class="comment">// Units per second</span></div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span> </div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>    <span class="comment">// Constants used for dissapearing events</span></div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno"><a class="line" href="../../df/d91/a06133.html#ab7629e10e03f63ce45414b9b169d68a4">   62</a></span>    <span class="keyword">const</span> <span class="keywordtype">float</span> <a class="code hl_variable" href="../../df/d91/a06133.html#ab7629e10e03f63ce45414b9b169d68a4">DECAY_START_PART_SIZE</a> = 32;</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno"><a class="line" href="../../df/d91/a06133.html#a8bf97defb8b66abeb26e5d1af2f7a82b">   63</a></span>    <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../df/d91/a06133.html#a8bf97defb8b66abeb26e5d1af2f7a82b">DECAY_START_PART_BIRTH_RATE</a> = 1;</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno"><a class="line" href="../../df/d91/a06133.html#ac21c2b5d6d9ec0f01480e4ca4cb3b184">   64</a></span>    <span class="keyword">const</span> <span class="keywordtype">float</span> <a class="code hl_variable" href="../../df/d91/a06133.html#ac21c2b5d6d9ec0f01480e4ca4cb3b184">DECAY_END_PART_SIZE</a> = 17;</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno"><a class="line" href="../../df/d91/a06133.html#a8a608228c35f6eb4fe4619e6bbf87017">   65</a></span>    <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../df/d91/a06133.html#a8a608228c35f6eb4fe4619e6bbf87017">DECAY_END_PART_BIRTH_RATE</a> = 1;</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span> </div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno"><a class="line" href="../../df/d91/a06133.html#afcc8cf39cc45393bc9aeaaa8ec11e1a7">   67</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../df/d91/a06133.html#afcc8cf39cc45393bc9aeaaa8ec11e1a7">ExpansionContaminatedArea</a>()</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>    {</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>        <span class="keywordflow">if</span> (IsMissionClient())</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>        {</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>            <a class="code hl_variable" href="../../df/d91/a06133.html#a7f231a15cfaa6dbf2851fd6ad4311a2b">s_ContaminatedAreas</a>.Insert(<span class="keyword">this</span>);</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>        }</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span> </div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>        RegisterNetSyncVariableInt(<span class="stringliteral">&quot;m_DecayStateSynch&quot;</span>);</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span> </div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>        RegisterNetSyncVariableFloat(<span class="stringliteral">&quot;m_Radius&quot;</span>, 0, 0, 2);</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>        RegisterNetSyncVariableFloat(<span class="stringliteral">&quot;m_PositiveHeight&quot;</span>, 0, 0, 2);</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>        RegisterNetSyncVariableFloat(<span class="stringliteral">&quot;m_NegativeHeight&quot;</span>, 0, 0, 2);</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span> </div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>        RegisterNetSyncVariableInt(<span class="stringliteral">&quot;m_InnerRings&quot;</span>);</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>        RegisterNetSyncVariableInt(<span class="stringliteral">&quot;m_InnerSpacing&quot;</span>);</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>        RegisterNetSyncVariableInt(<span class="stringliteral">&quot;m_OuterRingOffset&quot;</span>);</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>        RegisterNetSyncVariableInt(<span class="stringliteral">&quot;m_OuterSpacing&quot;</span>);</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>        RegisterNetSyncVariableInt(<span class="stringliteral">&quot;m_VerticalLayers&quot;</span>);</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>        RegisterNetSyncVariableInt(<span class="stringliteral">&quot;m_VerticalOffset&quot;</span>);</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>        RegisterNetSyncVariableInt(<span class="stringliteral">&quot;m_ParticleID&quot;</span>);</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>        RegisterNetSyncVariableInt(<span class="stringliteral">&quot;m_AroundParticleID&quot;</span>);</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>        RegisterNetSyncVariableInt(<span class="stringliteral">&quot;m_TinyParticleID&quot;</span>);</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>        RegisterNetSyncVariableInt(<span class="stringliteral">&quot;m_PPERequesterIdx&quot;</span>);</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span> </div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>        RegisterNetSyncVariableBool(<span class="stringliteral">&quot;m_OuterRingToggle&quot;</span>);</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>    }</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span> </div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno"><a class="line" href="../../df/d91/a06133.html#a89349b92ef56fa7939611d5a2106d2cb">   94</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../df/d91/a06133.html#a89349b92ef56fa7939611d5a2106d2cb">~ExpansionContaminatedArea</a>()</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>    {</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>        <span class="keywordflow">if</span> (IsMissionClient())</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>        {</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>            <a class="code hl_variable" href="../../df/d91/a06133.html#a7f231a15cfaa6dbf2851fd6ad4311a2b">s_ContaminatedAreas</a>.RemoveItemUnOrdered(<span class="keyword">this</span>);</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>        }</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>    }</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span> </div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno"><a class="line" href="../../df/d91/a06133.html#afe6158e246c9f85dee851b492ee160cf">  102</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../df/d91/a06133.html#afe6158e246c9f85dee851b492ee160cf">EEInit</a>()</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>    {</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>        super.EEInit();</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span> </div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>        <span class="keywordflow">if</span> (GetGame().IsMultiplayer() &amp;&amp; GetGame().IsServer())</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span> </div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>        <a class="code hl_function" href="../../df/d91/a06133.html#af89c46328518d87ab6101e236a09570d">OnVariablesSynchronized</a>();</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>    }</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span> </div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno"><a class="line" href="../../df/d91/a06133.html#abc5195d705216d9c0b1d77d6945f8ee6">  112</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../df/d91/a06133.html#abc5195d705216d9c0b1d77d6945f8ee6">EEDelete</a>(EntityAI parent)</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>    {</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>        <span class="keywordflow">if</span> (GetGame().IsClient() &amp;&amp; <a class="code hl_variable" href="../../df/d91/a06133.html#aa1cee0d62f88364d58e5d0d7cf39fdd0">m_ToxicClouds</a>)</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>        {</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>            <span class="keywordflow">for</span> (<span class="keywordtype">int</span> i = 0; i &lt; <a class="code hl_variable" href="../../df/d91/a06133.html#aa1cee0d62f88364d58e5d0d7cf39fdd0">m_ToxicClouds</a>.Count(); i++)</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>            {</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>                <a class="code hl_variable" href="../../df/d91/a06133.html#aa1cee0d62f88364d58e5d0d7cf39fdd0">m_ToxicClouds</a>.Get(i).Stop();</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>            }</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>        }</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span> </div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>        super.EEDelete(parent);</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>    }</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span> </div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno"><a class="line" href="../../df/d91/a06133.html#a88e993efacdbb308856a2e99db69d3b9">  125</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../df/d91/a06133.html#a88e993efacdbb308856a2e99db69d3b9">SetDecayState</a>(<span class="keywordtype">int</span> newState)</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>    {</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>        <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../df/d91/a06133.html#a86d8f49204f9ec75486d0ff86b3cd8d1">m_DecayState</a> == newState)</div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span> </div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>        <a class="code hl_variable" href="../../df/d91/a06133.html#a86d8f49204f9ec75486d0ff86b3cd8d1">m_DecayState</a> = newState;</div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>        <a class="code hl_variable" href="../../df/d91/a06133.html#a66f8c4428a36d4b1743fe2d5f46f85f6">m_DecayStateSynch</a> = newState;</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>        SetSynchDirty();</div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>    }</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span> </div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno"><a class="line" href="../../df/d91/a06133.html#af89c46328518d87ab6101e236a09570d">  135</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../df/d91/a06133.html#af89c46328518d87ab6101e236a09570d">OnVariablesSynchronized</a>()</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>    {</div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>        super.OnVariablesSynchronized();</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span> </div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>        <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../df/d91/a06133.html#a86d8f49204f9ec75486d0ff86b3cd8d1">m_DecayState</a> == <a class="code hl_variable" href="../../df/d91/a06133.html#a66f8c4428a36d4b1743fe2d5f46f85f6">m_DecayStateSynch</a>)</div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span> </div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>        <a class="code hl_variable" href="../../df/d91/a06133.html#a86d8f49204f9ec75486d0ff86b3cd8d1">m_DecayState</a> = <a class="code hl_variable" href="../../df/d91/a06133.html#a66f8c4428a36d4b1743fe2d5f46f85f6">m_DecayStateSynch</a>;</div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span> </div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span>        <span class="keywordflow">switch</span> (<a class="code hl_variable" href="../../df/d91/a06133.html#a86d8f49204f9ec75486d0ff86b3cd8d1">m_DecayState</a>)</div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>        {</div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span>        <span class="keywordflow">case</span> eAreaDecayStage.START:</div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>            <a class="code hl_function" href="../../df/d91/a06133.html#a26b60d86d4bbf176b080280e964fde9f">PlayExplosionLight</a>();</div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span>            <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span>        <span class="keywordflow">case</span> eAreaDecayStage.LIVE:</div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span>            <a class="code hl_function" href="../../df/d91/a06133.html#a2a4054c482488061992f9e8f6c838e87">PlaceParticles</a>(GetWorldPosition(), <a class="code hl_variable" href="../../df/d91/a06133.html#ac8277e216093fef1009d98d93046ca80">m_Radius</a>, <a class="code hl_variable" href="../../df/d91/a06133.html#a03a1516667c8a5a451c9a608a7f345d9">m_InnerRings</a>, <a class="code hl_variable" href="../../df/d91/a06133.html#ab4b8970456f39b383e063d94678f1286">m_InnerSpacing</a>, <a class="code hl_variable" href="../../df/d91/a06133.html#a6c4baee4aaee6ddee968bce623ec18fa">m_OuterRingToggle</a>, <a class="code hl_variable" href="../../df/d91/a06133.html#a8a7e0f47377d87319d224bf765a21d6e">m_OuterSpacing</a>, <a class="code hl_variable" href="../../df/d91/a06133.html#ae96ca5f4d2a529ab02ea0bc096c8b3ba">m_OuterRingOffset</a>, <a class="code hl_variable" href="../../df/d91/a06133.html#ac2dbc63023e5fbe1914990dcaea5786a">m_ParticleID</a>);</div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span> </div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span>            <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span>        <span class="keywordflow">case</span> eAreaDecayStage.DECAY_START:</div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span>        {</div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span>            <span class="comment">// We go through all the particles bound to this area and update relevant parameters</span></div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span>            <span class="comment">//Debug.Log(&quot;We start decay&quot;);</span></div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span>            <span class="keywordflow">for</span> (<span class="keywordtype">int</span> i = 0; i &lt; <a class="code hl_variable" href="../../df/d91/a06133.html#aa1cee0d62f88364d58e5d0d7cf39fdd0">m_ToxicClouds</a>.Count(); i++)</div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span>            {</div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span>                <a class="code hl_variable" href="../../df/d91/a06133.html#aa1cee0d62f88364d58e5d0d7cf39fdd0">m_ToxicClouds</a>.Get(i).SetParameter(0, EmitorParam.BIRTH_RATE, <a class="code hl_variable" href="../../df/d91/a06133.html#a8bf97defb8b66abeb26e5d1af2f7a82b">DECAY_START_PART_BIRTH_RATE</a>);</div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span>                <a class="code hl_variable" href="../../df/d91/a06133.html#aa1cee0d62f88364d58e5d0d7cf39fdd0">m_ToxicClouds</a>.Get(i).SetParameter(0, EmitorParam.SIZE, <a class="code hl_variable" href="../../df/d91/a06133.html#ab7629e10e03f63ce45414b9b169d68a4">DECAY_START_PART_SIZE</a>);</div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span>            }</div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span> </div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span>            <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span>        }</div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span>        <span class="keywordflow">case</span> eAreaDecayStage.DECAY_END:</div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span>        {</div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno">  167</span>            <span class="comment">// We go through all the particles bound to this area and update relevant parameters</span></div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno">  168</span>            <span class="comment">//Debug.Log(&quot;We finish decay&quot;);</span></div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno">  169</span>            <span class="keywordflow">for</span> (<span class="keywordtype">int</span> j = 0; j &lt; <a class="code hl_variable" href="../../df/d91/a06133.html#aa1cee0d62f88364d58e5d0d7cf39fdd0">m_ToxicClouds</a>.Count(); j++)</div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno">  170</span>            {</div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno">  171</span>                <a class="code hl_variable" href="../../df/d91/a06133.html#aa1cee0d62f88364d58e5d0d7cf39fdd0">m_ToxicClouds</a>.Get(j).SetParameter(0, EmitorParam.BIRTH_RATE, <a class="code hl_variable" href="../../df/d91/a06133.html#a8a608228c35f6eb4fe4619e6bbf87017">DECAY_END_PART_BIRTH_RATE</a>);</div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno">  172</span>                <a class="code hl_variable" href="../../df/d91/a06133.html#aa1cee0d62f88364d58e5d0d7cf39fdd0">m_ToxicClouds</a>.Get(j).SetParameter(0, EmitorParam.SIZE, <a class="code hl_variable" href="../../df/d91/a06133.html#ac21c2b5d6d9ec0f01480e4ca4cb3b184">DECAY_END_PART_SIZE</a>);</div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno">  173</span>            }</div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span> </div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno">  175</span>            <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno">  176</span>        }</div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno">  177</span>        <span class="keywordflow">default</span>:</div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno">  178</span>            <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno">  179</span>        }</div>
<div class="line"><a id="l00180" name="l00180"></a><span class="lineno">  180</span>    }</div>
<div class="line"><a id="l00181" name="l00181"></a><span class="lineno">  181</span> </div>
<div class="line"><a id="l00182" name="l00182"></a><span class="lineno"><a class="line" href="../../df/d91/a06133.html#ab6f8a14c47ec9468bacad5448d7beab4">  182</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../df/d91/a06133.html#ab6f8a14c47ec9468bacad5448d7beab4">PlayFX</a>()</div>
<div class="line"><a id="l00183" name="l00183"></a><span class="lineno">  183</span>    {</div>
<div class="line"><a id="l00184" name="l00184"></a><span class="lineno">  184</span>        <span class="keywordflow">if</span> (GetGame().IsServer())</div>
<div class="line"><a id="l00185" name="l00185"></a><span class="lineno">  185</span>        {</div>
<div class="line"><a id="l00186" name="l00186"></a><span class="lineno">  186</span>            Param1&lt;vector&gt; pos;      <span class="comment">// The value to be sent through RPC</span></div>
<div class="line"><a id="l00187" name="l00187"></a><span class="lineno">  187</span>            array&lt;ref Param&gt; params; <span class="comment">// The RPC params</span></div>
<div class="line"><a id="l00188" name="l00188"></a><span class="lineno">  188</span> </div>
<div class="line"><a id="l00189" name="l00189"></a><span class="lineno">  189</span>            <span class="comment">// We prepare to send the message</span></div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno">  190</span>            pos = <span class="keyword">new</span> Param1&lt;vector&gt;(vector.Zero);</div>
<div class="line"><a id="l00191" name="l00191"></a><span class="lineno">  191</span>            params = <span class="keyword">new</span> array&lt;ref Param&gt;;</div>
<div class="line"><a id="l00192" name="l00192"></a><span class="lineno">  192</span> </div>
<div class="line"><a id="l00193" name="l00193"></a><span class="lineno">  193</span>            <span class="comment">// We send the message with this set of coords</span></div>
<div class="line"><a id="l00194" name="l00194"></a><span class="lineno">  194</span>            pos.param1 = <a class="code hl_variable" href="../../df/d91/a06133.html#a869d4c817401ee06809d3bd18aef0eb2">m_OffsetPos</a>;</div>
<div class="line"><a id="l00195" name="l00195"></a><span class="lineno">  195</span>            params.Insert(pos);</div>
<div class="line"><a id="l00196" name="l00196"></a><span class="lineno">  196</span>            GetGame().RPC(null, ERPCs.RPC_SOUND_CONTAMINATION, params, <span class="keyword">true</span>);</div>
<div class="line"><a id="l00197" name="l00197"></a><span class="lineno">  197</span> </div>
<div class="line"><a id="l00198" name="l00198"></a><span class="lineno">  198</span>            <span class="comment">// We go to the next stage</span></div>
<div class="line"><a id="l00199" name="l00199"></a><span class="lineno">  199</span>            <a class="code hl_variable" href="../../df/d91/a06133.html#a86d8f49204f9ec75486d0ff86b3cd8d1">m_DecayState</a> = eAreaDecayStage.START;</div>
<div class="line"><a id="l00200" name="l00200"></a><span class="lineno">  200</span>            SetSynchDirty();</div>
<div class="line"><a id="l00201" name="l00201"></a><span class="lineno">  201</span>        }</div>
<div class="line"><a id="l00202" name="l00202"></a><span class="lineno">  202</span>    }</div>
<div class="line"><a id="l00203" name="l00203"></a><span class="lineno">  203</span> </div>
<div class="line"><a id="l00204" name="l00204"></a><span class="lineno"><a class="line" href="../../df/d91/a06133.html#a26b60d86d4bbf176b080280e964fde9f">  204</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../df/d91/a06133.html#a26b60d86d4bbf176b080280e964fde9f">PlayExplosionLight</a>()</div>
<div class="line"><a id="l00205" name="l00205"></a><span class="lineno">  205</span>    {</div>
<div class="line"><a id="l00206" name="l00206"></a><span class="lineno">  206</span>        <a class="code hl_variable" href="../../df/d91/a06133.html#a9c39c59cabe4c5206ae761d7703c112d">m_ShellLight</a> = ShellLight.Cast(ScriptedLightBase.CreateLight(ShellLight, <a class="code hl_variable" href="../../df/d91/a06133.html#a869d4c817401ee06809d3bd18aef0eb2">m_OffsetPos</a>));</div>
<div class="line"><a id="l00207" name="l00207"></a><span class="lineno">  207</span>    }</div>
<div class="line"><a id="l00208" name="l00208"></a><span class="lineno">  208</span> </div>
<div class="line"><a id="l00209" name="l00209"></a><span class="lineno"><a class="line" href="../../df/d91/a06133.html#aca50d4840415e1227d076b270ef3cfa4">  209</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../df/d91/a06133.html#aca50d4840415e1227d076b270ef3cfa4">PlayFlareVFX</a>()</div>
<div class="line"><a id="l00210" name="l00210"></a><span class="lineno">  210</span>    {</div>
<div class="line"><a id="l00211" name="l00211"></a><span class="lineno">  211</span>        <span class="keywordflow">if</span> (GetGame().IsClient() || (GetGame().IsServer() &amp;&amp; !GetGame().IsMultiplayer()))</div>
<div class="line"><a id="l00212" name="l00212"></a><span class="lineno">  212</span>        {</div>
<div class="line"><a id="l00213" name="l00213"></a><span class="lineno">  213</span>            <span class="comment">// We spawn locally the dummy object which will be used to move and manage the particle</span></div>
<div class="line"><a id="l00214" name="l00214"></a><span class="lineno">  214</span>            DynamicArea_Flare dummy = DynamicArea_Flare.Cast(GetGame().CreateObjectEx(<span class="stringliteral">&quot;DynamicArea_Flare&quot;</span>, <a class="code hl_variable" href="../../df/d91/a06133.html#a869d4c817401ee06809d3bd18aef0eb2">m_OffsetPos</a>, ECE_SETUP | ECE_LOCAL));</div>
<div class="line"><a id="l00215" name="l00215"></a><span class="lineno">  215</span> </div>
<div class="line"><a id="l00216" name="l00216"></a><span class="lineno">  216</span>            <span class="comment">// We add some light to reinforce the effect</span></div>
<div class="line"><a id="l00217" name="l00217"></a><span class="lineno">  217</span>            <a class="code hl_variable" href="../../df/d91/a06133.html#a50ecf09393eb2581566391f9440b8c52">m_FlareLight</a> = FlareLightContamination.Cast(ScriptedLightBase.CreateLight(FlareLightContamination, <a class="code hl_variable" href="../../df/d91/a06133.html#a869d4c817401ee06809d3bd18aef0eb2">m_OffsetPos</a>));</div>
<div class="line"><a id="l00218" name="l00218"></a><span class="lineno">  218</span>        }</div>
<div class="line"><a id="l00219" name="l00219"></a><span class="lineno">  219</span>    }</div>
<div class="line"><a id="l00220" name="l00220"></a><span class="lineno">  220</span> </div>
<div class="line"><a id="l00221" name="l00221"></a><span class="lineno"><a class="line" href="../../df/d91/a06133.html#a2a4054c482488061992f9e8f6c838e87">  221</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../df/d91/a06133.html#a2a4054c482488061992f9e8f6c838e87">PlaceParticles</a>(vector pos, <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d2/d11/a02384.html#a5050a760c11da521cd4aee6336f6529f">radius</a>, <span class="keywordtype">int</span> nbRings, <span class="keywordtype">int</span> innerSpacing, <span class="keywordtype">bool</span> outerToggle, <span class="keywordtype">int</span> outerSpacing, <span class="keywordtype">int</span> outerOffset, <span class="keywordtype">int</span> partId)</div>
<div class="line"><a id="l00222" name="l00222"></a><span class="lineno">  222</span>    {</div>
<div class="line"><a id="l00223" name="l00223"></a><span class="lineno">  223</span>        <span class="comment">// Determine if we snap first layer to ground</span></div>
<div class="line"><a id="l00224" name="l00224"></a><span class="lineno">  224</span>        <span class="comment">//bool snapFirstLayer = true;</span></div>
<div class="line"><a id="l00225" name="l00225"></a><span class="lineno">  225</span>        <span class="comment">//if (m_Type == eZoneType.STATIC &amp;&amp; pos[1] != GetGame().SurfaceRoadY(pos[0], pos[2]))</span></div>
<div class="line"><a id="l00226" name="l00226"></a><span class="lineno">  226</span>        <span class="comment">//  snapFirstLayer = false;</span></div>
<div class="line"><a id="l00227" name="l00227"></a><span class="lineno">  227</span> </div>
<div class="line"><a id="l00228" name="l00228"></a><span class="lineno">  228</span>        <span class="comment">// BEGINNING OF SAFETY NET</span></div>
<div class="line"><a id="l00229" name="l00229"></a><span class="lineno">  229</span>        <span class="comment">// We want to prevent divisions by 0</span></div>
<div class="line"><a id="l00230" name="l00230"></a><span class="lineno">  230</span>        <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../d2/d11/a02384.html#a5050a760c11da521cd4aee6336f6529f">radius</a> == 0)</div>
<div class="line"><a id="l00231" name="l00231"></a><span class="lineno">  231</span>        {</div>
<div class="line"><a id="l00232" name="l00232"></a><span class="lineno">  232</span>            <span class="comment">// In specific case of radius, we log an error and return as it makes no sense</span></div>
<div class="line"><a id="l00233" name="l00233"></a><span class="lineno">  233</span>            <a class="code hl_function" href="../../dd/dd8/a00719.html#a008eb1c448c351e3e58145acc877a40f">Error</a>(<span class="stringliteral">&quot;[WARNING] :: [EffectArea PlaceParticles] :: Radius of contaminated zone is set to 0, this should not happen&quot;</span>);</div>
<div class="line"><a id="l00234" name="l00234"></a><span class="lineno">  234</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00235" name="l00235"></a><span class="lineno">  235</span>        }</div>
<div class="line"><a id="l00236" name="l00236"></a><span class="lineno">  236</span> </div>
<div class="line"><a id="l00237" name="l00237"></a><span class="lineno">  237</span>        <span class="keywordflow">if</span> (outerToggle &amp;&amp; <a class="code hl_variable" href="../../d2/d11/a02384.html#a5050a760c11da521cd4aee6336f6529f">radius</a> == outerOffset)</div>
<div class="line"><a id="l00238" name="l00238"></a><span class="lineno">  238</span>        {</div>
<div class="line"><a id="l00239" name="l00239"></a><span class="lineno">  239</span>            <a class="code hl_function" href="../../dd/dd8/a00719.html#a008eb1c448c351e3e58145acc877a40f">Error</a>(<span class="stringliteral">&quot;[WARNING] :: [EffectArea PlaceParticles] :: Your outerOffset is EQUAL to your Radius, this will result in division by 0&quot;</span>);</div>
<div class="line"><a id="l00240" name="l00240"></a><span class="lineno">  240</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00241" name="l00241"></a><span class="lineno">  241</span>        }</div>
<div class="line"><a id="l00242" name="l00242"></a><span class="lineno">  242</span> </div>
<div class="line"><a id="l00243" name="l00243"></a><span class="lineno">  243</span>        <span class="comment">// Inner spacing of 0 would cause infinite loops as no increment would happen</span></div>
<div class="line"><a id="l00244" name="l00244"></a><span class="lineno">  244</span>        <span class="keywordflow">if</span> (innerSpacing == 0)</div>
<div class="line"><a id="l00245" name="l00245"></a><span class="lineno">  245</span>            innerSpacing = 1;</div>
<div class="line"><a id="l00246" name="l00246"></a><span class="lineno">  246</span> </div>
<div class="line"><a id="l00247" name="l00247"></a><span class="lineno">  247</span>        <span class="comment">// END OF SAFETY NET</span></div>
<div class="line"><a id="l00248" name="l00248"></a><span class="lineno">  248</span> </div>
<div class="line"><a id="l00249" name="l00249"></a><span class="lineno">  249</span>        <span class="keywordtype">int</span> partCounter = 0;      <span class="comment">// Used for debugging, allows one to know how many emitters are spawned in zone</span></div>
<div class="line"><a id="l00250" name="l00250"></a><span class="lineno">  250</span>        <span class="keywordtype">int</span> numberOfEmitters = 1; <span class="comment">// We always have the central emitter</span></div>
<div class="line"><a id="l00251" name="l00251"></a><span class="lineno">  251</span> </div>
<div class="line"><a id="l00252" name="l00252"></a><span class="lineno">  252</span>        <span class="comment">//Debug.Log(&quot;We have : &quot; + nbRings + &quot; rings&quot;);</span></div>
<div class="line"><a id="l00253" name="l00253"></a><span class="lineno">  253</span>        <span class="comment">//Debug.Log(&quot;We have : &quot; + m_VerticalLayers + &quot; layers&quot;);</span></div>
<div class="line"><a id="l00254" name="l00254"></a><span class="lineno">  254</span> </div>
<div class="line"><a id="l00255" name="l00255"></a><span class="lineno">  255</span>        <span class="keywordtype">float</span> angle = 0; <span class="comment">// Used in for loop to know where we are in terms of angle spacing ( RADIANS )</span></div>
<div class="line"><a id="l00256" name="l00256"></a><span class="lineno">  256</span> </div>
<div class="line"><a id="l00257" name="l00257"></a><span class="lineno">  257</span>        <span class="comment">// We also populate vertically, layer 0 will be snapped to ground, subsequent layers will see particles floating and relevant m_VerticalOffset</span></div>
<div class="line"><a id="l00258" name="l00258"></a><span class="lineno">  258</span>        <span class="keywordflow">for</span> (<span class="keywordtype">int</span> k = 0; k &lt;= <a class="code hl_variable" href="../../df/d91/a06133.html#abe653a725ae7af97bcc8a4aab5a7543f">m_VerticalLayers</a>; k++)</div>
<div class="line"><a id="l00259" name="l00259"></a><span class="lineno">  259</span>        {</div>
<div class="line"><a id="l00260" name="l00260"></a><span class="lineno">  260</span>            vector partPos = pos;</div>
<div class="line"><a id="l00261" name="l00261"></a><span class="lineno">  261</span>            <span class="comment">// We prevent division by 0</span></div>
<div class="line"><a id="l00262" name="l00262"></a><span class="lineno">  262</span>            <span class="comment">// We don&#39;t want to tamper with ground layer vertical positioning</span></div>
<div class="line"><a id="l00263" name="l00263"></a><span class="lineno">  263</span>            <span class="keywordflow">if</span> (k != 0)</div>
<div class="line"><a id="l00264" name="l00264"></a><span class="lineno">  264</span>            {</div>
<div class="line"><a id="l00265" name="l00265"></a><span class="lineno">  265</span>                partPos[1] = partPos[1] + (<a class="code hl_variable" href="../../df/d91/a06133.html#a99f52f9d6690c0691def10490a5f14db">m_VerticalOffset</a> * k);</div>
<div class="line"><a id="l00266" name="l00266"></a><span class="lineno">  266</span>            }</div>
<div class="line"><a id="l00267" name="l00267"></a><span class="lineno">  267</span> </div>
<div class="line"><a id="l00268" name="l00268"></a><span class="lineno">  268</span>            <span class="comment">// We will want to start by placing a particle at center of area</span></div>
<div class="line"><a id="l00269" name="l00269"></a><span class="lineno">  269</span>            <a class="code hl_variable" href="../../df/d91/a06133.html#aa1cee0d62f88364d58e5d0d7cf39fdd0">m_ToxicClouds</a>.Insert(<a class="code hl_class" href="../../d8/dca/a06953.html">Particle</a>.PlayInWorld(partId, partPos));</div>
<div class="line"><a id="l00270" name="l00270"></a><span class="lineno">  270</span>            partCounter++;</div>
<div class="line"><a id="l00271" name="l00271"></a><span class="lineno">  271</span> </div>
<div class="line"><a id="l00272" name="l00272"></a><span class="lineno">  272</span>            <span class="comment">// For each concentric ring, we place a particle emitter at a set offset</span></div>
<div class="line"><a id="l00273" name="l00273"></a><span class="lineno">  273</span>            <span class="keywordflow">for</span> (<span class="keywordtype">int</span> i = 1; i &lt;= nbRings + outerToggle; i++)</div>
<div class="line"><a id="l00274" name="l00274"></a><span class="lineno">  274</span>            {</div>
<div class="line"><a id="l00275" name="l00275"></a><span class="lineno">  275</span>                <span class="comment">//Debug.Log(&quot;We are on iteration I : &quot; + i );</span></div>
<div class="line"><a id="l00276" name="l00276"></a><span class="lineno">  276</span> </div>
<div class="line"><a id="l00277" name="l00277"></a><span class="lineno">  277</span>                <span class="comment">// We prepare the variables to use later in calculation</span></div>
<div class="line"><a id="l00278" name="l00278"></a><span class="lineno">  278</span>                <span class="keywordtype">float</span> angleIncrement;      <span class="comment">// The value added to the offset angle to place following particle</span></div>
<div class="line"><a id="l00279" name="l00279"></a><span class="lineno">  279</span>                <span class="keywordtype">float</span> ab;                  <span class="comment">// Length of a side of triangle used to calculate particle positionning</span></div>
<div class="line"><a id="l00280" name="l00280"></a><span class="lineno">  280</span>                vector temp = vector.Zero; <span class="comment">// Vector we rotate to position next spawn point</span></div>
<div class="line"><a id="l00281" name="l00281"></a><span class="lineno">  281</span> </div>
<div class="line"><a id="l00282" name="l00282"></a><span class="lineno">  282</span>                <span class="comment">// The particle density is not the same on the final ring which will only happen if toggled</span></div>
<div class="line"><a id="l00283" name="l00283"></a><span class="lineno">  283</span>                <span class="comment">// Toggle uses bool parameter treated as int, thus i &gt; nbRings test ( allows to limit branching )</span></div>
<div class="line"><a id="l00284" name="l00284"></a><span class="lineno">  284</span>                <span class="keywordflow">if</span> (i &gt; nbRings)</div>
<div class="line"><a id="l00285" name="l00285"></a><span class="lineno">  285</span>                {</div>
<div class="line"><a id="l00286" name="l00286"></a><span class="lineno">  286</span>                    ab = <a class="code hl_variable" href="../../d2/d11/a02384.html#a5050a760c11da521cd4aee6336f6529f">radius</a> - outerOffset; <span class="comment">// We want to leave some space to better see area demarcation</span></div>
<div class="line"><a id="l00287" name="l00287"></a><span class="lineno">  287</span> </div>
<div class="line"><a id="l00288" name="l00288"></a><span class="lineno">  288</span>                    <span class="comment">// We calculate the rotation angle depending on particle spacing and distance from center</span></div>
<div class="line"><a id="l00289" name="l00289"></a><span class="lineno">  289</span>                    angleIncrement = Math.Acos(1 - ((outerSpacing * outerSpacing) / (2 * Math.SqrInt(ab))));</div>
<div class="line"><a id="l00290" name="l00290"></a><span class="lineno">  290</span>                    temp[2] = temp[2] + ab;</div>
<div class="line"><a id="l00291" name="l00291"></a><span class="lineno">  291</span> </div>
<div class="line"><a id="l00292" name="l00292"></a><span class="lineno">  292</span>                    <span class="comment">//Debug.Log(&quot;Radius of last circle &quot; + i + &quot; is : &quot; + ab);</span></div>
<div class="line"><a id="l00293" name="l00293"></a><span class="lineno">  293</span>                }</div>
<div class="line"><a id="l00294" name="l00294"></a><span class="lineno">  294</span>                <span class="keywordflow">else</span></div>
<div class="line"><a id="l00295" name="l00295"></a><span class="lineno">  295</span>                {</div>
<div class="line"><a id="l00296" name="l00296"></a><span class="lineno">  296</span>                    ab = (<a class="code hl_variable" href="../../d2/d11/a02384.html#a5050a760c11da521cd4aee6336f6529f">radius</a> / (nbRings + 1)) * i; <span class="comment">// We add the offset from one ring to another</span></div>
<div class="line"><a id="l00297" name="l00297"></a><span class="lineno">  297</span> </div>
<div class="line"><a id="l00298" name="l00298"></a><span class="lineno">  298</span>                    <span class="comment">// We calculate the rotation angle depending on particle spacing and distance from center</span></div>
<div class="line"><a id="l00299" name="l00299"></a><span class="lineno">  299</span>                    angleIncrement = Math.Acos(1 - ((innerSpacing * innerSpacing) / (2 * Math.SqrInt(ab))));</div>
<div class="line"><a id="l00300" name="l00300"></a><span class="lineno">  300</span>                    temp[2] = temp[2] + ab;</div>
<div class="line"><a id="l00301" name="l00301"></a><span class="lineno">  301</span> </div>
<div class="line"><a id="l00302" name="l00302"></a><span class="lineno">  302</span>                    <span class="comment">//Debug.Log(&quot;Radius of inner circle &quot; + i + &quot; is : &quot; + ab);</span></div>
<div class="line"><a id="l00303" name="l00303"></a><span class="lineno">  303</span>                }</div>
<div class="line"><a id="l00304" name="l00304"></a><span class="lineno">  304</span> </div>
<div class="line"><a id="l00305" name="l00305"></a><span class="lineno">  305</span>                <span class="keywordflow">for</span> (<span class="keywordtype">int</span> j = 0; j &lt;= (Math.PI2 / angleIncrement); j++)</div>
<div class="line"><a id="l00306" name="l00306"></a><span class="lineno">  306</span>                {</div>
<div class="line"><a id="l00307" name="l00307"></a><span class="lineno">  307</span>                    <span class="comment">// Determine position of particle emitter</span></div>
<div class="line"><a id="l00308" name="l00308"></a><span class="lineno">  308</span>                    <span class="comment">// Use offset of current ring for vector length</span></div>
<div class="line"><a id="l00309" name="l00309"></a><span class="lineno">  309</span>                    <span class="comment">// Use accumulated angle for vector direction</span></div>
<div class="line"><a id="l00310" name="l00310"></a><span class="lineno">  310</span> </div>
<div class="line"><a id="l00311" name="l00311"></a><span class="lineno">  311</span>                    <span class="keywordtype">float</span> sinAngle = Math.Sin(angle);</div>
<div class="line"><a id="l00312" name="l00312"></a><span class="lineno">  312</span>                    <span class="keywordtype">float</span> cosAngle = Math.Cos(angle);</div>
<div class="line"><a id="l00313" name="l00313"></a><span class="lineno">  313</span> </div>
<div class="line"><a id="l00314" name="l00314"></a><span class="lineno">  314</span>                    partPos = vector.RotateAroundZero(temp, vector.Up, cosAngle, sinAngle);</div>
<div class="line"><a id="l00315" name="l00315"></a><span class="lineno">  315</span>                    partPos += pos;</div>
<div class="line"><a id="l00316" name="l00316"></a><span class="lineno">  316</span> </div>
<div class="line"><a id="l00317" name="l00317"></a><span class="lineno">  317</span>                    <span class="comment">// We snap first layer to ground if specified</span></div>
<div class="line"><a id="l00318" name="l00318"></a><span class="lineno">  318</span>                    <span class="comment">//if (k == 0 &amp;&amp; snapFirstLayer == true)</span></div>
<div class="line"><a id="l00319" name="l00319"></a><span class="lineno">  319</span>                    <span class="comment">//  partPos[1] = GetGame().SurfaceY(partPos[0], partPos[2]);</span></div>
<div class="line"><a id="l00320" name="l00320"></a><span class="lineno">  320</span>                    <span class="comment">//else if (k == 0 &amp;&amp; snapFirstLayer == false)</span></div>
<div class="line"><a id="l00321" name="l00321"></a><span class="lineno">  321</span>                    partPos[1] = partPos[1] - <a class="code hl_variable" href="../../df/d91/a06133.html#aff484f863007818245813674cb9acb37">m_NegativeHeight</a>;</div>
<div class="line"><a id="l00322" name="l00322"></a><span class="lineno">  322</span> </div>
<div class="line"><a id="l00323" name="l00323"></a><span class="lineno">  323</span>                    <span class="comment">// We check the particle is indeed in the trigger to make it consistent</span></div>
<div class="line"><a id="l00324" name="l00324"></a><span class="lineno">  324</span>                    <span class="keywordflow">if</span> (partPos[1] &lt;= pos[1] + <a class="code hl_variable" href="../../df/d91/a06133.html#a54bee18fdd755f58a22a97b4a0e0e6b6">m_PositiveHeight</a> &amp;&amp; partPos[1] &gt;= pos[1] - <a class="code hl_variable" href="../../df/d91/a06133.html#aff484f863007818245813674cb9acb37">m_NegativeHeight</a>)</div>
<div class="line"><a id="l00325" name="l00325"></a><span class="lineno">  325</span>                    {</div>
<div class="line"><a id="l00326" name="l00326"></a><span class="lineno">  326</span>                        <span class="comment">// Place emitter at vector end ( coord )</span></div>
<div class="line"><a id="l00327" name="l00327"></a><span class="lineno">  327</span>                        <a class="code hl_class" href="../../d8/dca/a06953.html">Particle</a> toxicParticle = <a class="code hl_class" href="../../d8/dca/a06953.html">Particle</a>.PlayInWorld(partId, partPos);</div>
<div class="line"><a id="l00328" name="l00328"></a><span class="lineno">  328</span>                        toxicParticle.SetOrientation(GetGame().GetSurfaceOrientation(partPos[0], partPos[2]));</div>
<div class="line"><a id="l00329" name="l00329"></a><span class="lineno">  329</span>                        <a class="code hl_variable" href="../../df/d91/a06133.html#aa1cee0d62f88364d58e5d0d7cf39fdd0">m_ToxicClouds</a>.Insert(toxicParticle);</div>
<div class="line"><a id="l00330" name="l00330"></a><span class="lineno">  330</span> </div>
<div class="line"><a id="l00331" name="l00331"></a><span class="lineno">  331</span>                        partCounter++;</div>
<div class="line"><a id="l00332" name="l00332"></a><span class="lineno">  332</span>                    }</div>
<div class="line"><a id="l00333" name="l00333"></a><span class="lineno">  333</span> </div>
<div class="line"><a id="l00334" name="l00334"></a><span class="lineno">  334</span>                    <span class="comment">// Increase accumulated angle</span></div>
<div class="line"><a id="l00335" name="l00335"></a><span class="lineno">  335</span>                    angle += angleIncrement;</div>
<div class="line"><a id="l00336" name="l00336"></a><span class="lineno">  336</span>                }</div>
<div class="line"><a id="l00337" name="l00337"></a><span class="lineno">  337</span> </div>
<div class="line"><a id="l00338" name="l00338"></a><span class="lineno">  338</span>                angle = 0; <span class="comment">// We reset our accumulated angle for the next ring</span></div>
<div class="line"><a id="l00339" name="l00339"></a><span class="lineno">  339</span>            }</div>
<div class="line"><a id="l00340" name="l00340"></a><span class="lineno">  340</span>        }</div>
<div class="line"><a id="l00341" name="l00341"></a><span class="lineno">  341</span> </div>
<div class="line"><a id="l00342" name="l00342"></a><span class="lineno">  342</span>        <span class="comment">//Debug.Log(&quot;Emitter count : &quot; + partCounter );</span></div>
<div class="line"><a id="l00343" name="l00343"></a><span class="lineno">  343</span>    }</div>
<div class="line"><a id="l00344" name="l00344"></a><span class="lineno">  344</span>};</div>
<div class="ttc" id="aa00719_html_a008eb1c448c351e3e58145acc877a40f"><div class="ttname"><a href="../../dd/dd8/a00719.html#a008eb1c448c351e3e58145acc877a40f">Error</a></div><div class="ttdeci">void Error(PlayerIdentity identity=NULL)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dd8/a00719_source.html#l00163">expansionnotificationsystem.c:163</a></div></div>
<div class="ttc" id="aa02384_html_a5050a760c11da521cd4aee6336f6529f"><div class="ttname"><a href="../../d2/d11/a02384.html#a5050a760c11da521cd4aee6336f6529f">radius</a></div><div class="ttdeci">float radius</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d11/a02384_source.html#l00021">expansioninteriorbuildingmodule.c:21</a></div></div>
<div class="ttc" id="aa02384_html_a764a35c2d73b3fff21cd85b6baf13df4"><div class="ttname"><a href="../../d2/d11/a02384.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a></div><div class="ttdeci">vector position</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d11/a02384_source.html#l00020">expansioninteriorbuildingmodule.c:20</a></div></div>
<div class="ttc" id="aa04305_html"><div class="ttname"><a href="../../dc/df8/a04305.html">ParticleList</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d5e/a00860_source.html#l00013">expansionparticles.c:14</a></div></div>
<div class="ttc" id="aa05221_html"><div class="ttname"><a href="../../de/d4f/a05221.html">House</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d42/a01463_source.html#l00013">bldr_expansion_airdrop_plane.c:14</a></div></div>
<div class="ttc" id="aa06133_html"><div class="ttname"><a href="../../df/d91/a06133.html">ExpansionContaminatedArea</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d2c/a02012_source.html#l00001">expansioncontaminatedarea.c:2</a></div></div>
<div class="ttc" id="aa06133_html_a03a1516667c8a5a451c9a608a7f345d9"><div class="ttname"><a href="../../df/d91/a06133.html#a03a1516667c8a5a451c9a608a7f345d9">ExpansionContaminatedArea::m_InnerRings</a></div><div class="ttdeci">int m_InnerRings</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d2c/a02012_source.html#l00034">expansioncontaminatedarea.c:34</a></div></div>
<div class="ttc" id="aa06133_html_a058dbef588e174d7b082bca7fc602aca"><div class="ttname"><a href="../../df/d91/a06133.html#a058dbef588e174d7b082bca7fc602aca">ExpansionContaminatedArea::m_TinyParticleID</a></div><div class="ttdeci">int m_TinyParticleID</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d2c/a02012_source.html#l00043">expansioncontaminatedarea.c:43</a></div></div>
<div class="ttc" id="aa06133_html_a10b75b66eb4ca47ac33de491bdcddf21"><div class="ttname"><a href="../../df/d91/a06133.html#a10b75b66eb4ca47ac33de491bdcddf21">ExpansionContaminatedArea::AIRBORNE_EXPLOSION_DELAY</a></div><div class="ttdeci">const int AIRBORNE_EXPLOSION_DELAY</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d2c/a02012_source.html#l00056">expansioncontaminatedarea.c:56</a></div></div>
<div class="ttc" id="aa06133_html_a20d3144b4d9610782228dd8272532a82"><div class="ttname"><a href="../../df/d91/a06133.html#a20d3144b4d9610782228dd8272532a82">ExpansionContaminatedArea::AREA_SETUP_DELAY</a></div><div class="ttdeci">const int AREA_SETUP_DELAY</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d2c/a02012_source.html#l00057">expansioncontaminatedarea.c:57</a></div></div>
<div class="ttc" id="aa06133_html_a26b60d86d4bbf176b080280e964fde9f"><div class="ttname"><a href="../../df/d91/a06133.html#a26b60d86d4bbf176b080280e964fde9f">ExpansionContaminatedArea::PlayExplosionLight</a></div><div class="ttdeci">void PlayExplosionLight()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d2c/a02012_source.html#l00204">expansioncontaminatedarea.c:204</a></div></div>
<div class="ttc" id="aa06133_html_a2a4054c482488061992f9e8f6c838e87"><div class="ttname"><a href="../../df/d91/a06133.html#a2a4054c482488061992f9e8f6c838e87">ExpansionContaminatedArea::PlaceParticles</a></div><div class="ttdeci">void PlaceParticles(vector pos, float radius, int nbRings, int innerSpacing, bool outerToggle, int outerSpacing, int outerOffset, int partId)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d2c/a02012_source.html#l00221">expansioncontaminatedarea.c:221</a></div></div>
<div class="ttc" id="aa06133_html_a358bdd55e1fbe3a13be4bd57ff4fbb72"><div class="ttname"><a href="../../df/d91/a06133.html#a358bdd55e1fbe3a13be4bd57ff4fbb72">ExpansionContaminatedArea::ARTILLERY_SHELL_SPEED</a></div><div class="ttdeci">const float ARTILLERY_SHELL_SPEED</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d2c/a02012_source.html#l00059">expansioncontaminatedarea.c:59</a></div></div>
<div class="ttc" id="aa06133_html_a362b86da45d00110c2c3c6cca2192cf1"><div class="ttname"><a href="../../df/d91/a06133.html#a362b86da45d00110c2c3c6cca2192cf1">ExpansionContaminatedArea::m_FXTimer</a></div><div class="ttdeci">ref Timer m_FXTimer</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d2c/a02012_source.html#l00050">expansioncontaminatedarea.c:50</a></div></div>
<div class="ttc" id="aa06133_html_a4670ba50c20c1f95774cc8d572031dd6"><div class="ttname"><a href="../../df/d91/a06133.html#a4670ba50c20c1f95774cc8d572031dd6">ExpansionContaminatedArea::m_PPERequesterIdx</a></div><div class="ttdeci">int m_PPERequesterIdx</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d2c/a02012_source.html#l00045">expansioncontaminatedarea.c:45</a></div></div>
<div class="ttc" id="aa06133_html_a50ecf09393eb2581566391f9440b8c52"><div class="ttname"><a href="../../df/d91/a06133.html#a50ecf09393eb2581566391f9440b8c52">ExpansionContaminatedArea::m_FlareLight</a></div><div class="ttdeci">FlareLight m_FlareLight</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d2c/a02012_source.html#l00051">expansioncontaminatedarea.c:51</a></div></div>
<div class="ttc" id="aa06133_html_a54bee18fdd755f58a22a97b4a0e0e6b6"><div class="ttname"><a href="../../df/d91/a06133.html#a54bee18fdd755f58a22a97b4a0e0e6b6">ExpansionContaminatedArea::m_PositiveHeight</a></div><div class="ttdeci">float m_PositiveHeight</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d2c/a02012_source.html#l00032">expansioncontaminatedarea.c:32</a></div></div>
<div class="ttc" id="aa06133_html_a5579cf8602cdb56a124e08f591632db6"><div class="ttname"><a href="../../df/d91/a06133.html#a5579cf8602cdb56a124e08f591632db6">ExpansionContaminatedArea::m_StartupTimer</a></div><div class="ttdeci">ref Timer m_StartupTimer</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d2c/a02012_source.html#l00049">expansioncontaminatedarea.c:49</a></div></div>
<div class="ttc" id="aa06133_html_a57e93fcfc2d0421244dcd8cfaa1033e0"><div class="ttname"><a href="../../df/d91/a06133.html#a57e93fcfc2d0421244dcd8cfaa1033e0">ExpansionContaminatedArea::AIRBORNE_FX_OFFSET</a></div><div class="ttdeci">const float AIRBORNE_FX_OFFSET</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d2c/a02012_source.html#l00058">expansioncontaminatedarea.c:58</a></div></div>
<div class="ttc" id="aa06133_html_a66f8c4428a36d4b1743fe2d5f46f85f6"><div class="ttname"><a href="../../df/d91/a06133.html#a66f8c4428a36d4b1743fe2d5f46f85f6">ExpansionContaminatedArea::m_DecayStateSynch</a></div><div class="ttdeci">int m_DecayStateSynch</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d2c/a02012_source.html#l00030">expansioncontaminatedarea.c:30</a></div></div>
<div class="ttc" id="aa06133_html_a6c4baee4aaee6ddee968bce623ec18fa"><div class="ttname"><a href="../../df/d91/a06133.html#a6c4baee4aaee6ddee968bce623ec18fa">ExpansionContaminatedArea::m_OuterRingToggle</a></div><div class="ttdeci">bool m_OuterRingToggle</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d2c/a02012_source.html#l00036">expansioncontaminatedarea.c:36</a></div></div>
<div class="ttc" id="aa06133_html_a7f231a15cfaa6dbf2851fd6ad4311a2b"><div class="ttname"><a href="../../df/d91/a06133.html#a7f231a15cfaa6dbf2851fd6ad4311a2b">ExpansionContaminatedArea::s_ContaminatedAreas</a></div><div class="ttdeci">static ref array&lt; ExpansionContaminatedArea &gt; s_ContaminatedAreas</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d2c/a02012_source.html#l00003">expansioncontaminatedarea.c:3</a></div></div>
<div class="ttc" id="aa06133_html_a869d4c817401ee06809d3bd18aef0eb2"><div class="ttname"><a href="../../df/d91/a06133.html#a869d4c817401ee06809d3bd18aef0eb2">ExpansionContaminatedArea::m_OffsetPos</a></div><div class="ttdeci">vector m_OffsetPos</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d2c/a02012_source.html#l00053">expansioncontaminatedarea.c:53</a></div></div>
<div class="ttc" id="aa06133_html_a86d8f49204f9ec75486d0ff86b3cd8d1"><div class="ttname"><a href="../../df/d91/a06133.html#a86d8f49204f9ec75486d0ff86b3cd8d1">ExpansionContaminatedArea::m_DecayState</a></div><div class="ttdeci">int m_DecayState</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d2c/a02012_source.html#l00029">expansioncontaminatedarea.c:29</a></div></div>
<div class="ttc" id="aa06133_html_a88e993efacdbb308856a2e99db69d3b9"><div class="ttname"><a href="../../df/d91/a06133.html#a88e993efacdbb308856a2e99db69d3b9">ExpansionContaminatedArea::SetDecayState</a></div><div class="ttdeci">void SetDecayState(int newState)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d2c/a02012_source.html#l00125">expansioncontaminatedarea.c:125</a></div></div>
<div class="ttc" id="aa06133_html_a89349b92ef56fa7939611d5a2106d2cb"><div class="ttname"><a href="../../df/d91/a06133.html#a89349b92ef56fa7939611d5a2106d2cb">ExpansionContaminatedArea::~ExpansionContaminatedArea</a></div><div class="ttdeci">void ~ExpansionContaminatedArea()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d2c/a02012_source.html#l00094">expansioncontaminatedarea.c:94</a></div></div>
<div class="ttc" id="aa06133_html_a8a608228c35f6eb4fe4619e6bbf87017"><div class="ttname"><a href="../../df/d91/a06133.html#a8a608228c35f6eb4fe4619e6bbf87017">ExpansionContaminatedArea::DECAY_END_PART_BIRTH_RATE</a></div><div class="ttdeci">const int DECAY_END_PART_BIRTH_RATE</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d2c/a02012_source.html#l00065">expansioncontaminatedarea.c:65</a></div></div>
<div class="ttc" id="aa06133_html_a8a7e0f47377d87319d224bf765a21d6e"><div class="ttname"><a href="../../df/d91/a06133.html#a8a7e0f47377d87319d224bf765a21d6e">ExpansionContaminatedArea::m_OuterSpacing</a></div><div class="ttdeci">int m_OuterSpacing</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d2c/a02012_source.html#l00038">expansioncontaminatedarea.c:38</a></div></div>
<div class="ttc" id="aa06133_html_a8bf97defb8b66abeb26e5d1af2f7a82b"><div class="ttname"><a href="../../df/d91/a06133.html#a8bf97defb8b66abeb26e5d1af2f7a82b">ExpansionContaminatedArea::DECAY_START_PART_BIRTH_RATE</a></div><div class="ttdeci">const int DECAY_START_PART_BIRTH_RATE</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d2c/a02012_source.html#l00063">expansioncontaminatedarea.c:63</a></div></div>
<div class="ttc" id="aa06133_html_a91514c7440c747b2606f809266274930"><div class="ttname"><a href="../../df/d91/a06133.html#a91514c7440c747b2606f809266274930">ExpansionContaminatedArea::GetArea</a></div><div class="ttdeci">static ExpansionContaminatedArea GetArea(vector position)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d2c/a02012_source.html#l00008">expansioncontaminatedarea.c:8</a></div></div>
<div class="ttc" id="aa06133_html_a99f52f9d6690c0691def10490a5f14db"><div class="ttname"><a href="../../df/d91/a06133.html#a99f52f9d6690c0691def10490a5f14db">ExpansionContaminatedArea::m_VerticalOffset</a></div><div class="ttdeci">int m_VerticalOffset</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d2c/a02012_source.html#l00040">expansioncontaminatedarea.c:40</a></div></div>
<div class="ttc" id="aa06133_html_a9c39c59cabe4c5206ae761d7703c112d"><div class="ttname"><a href="../../df/d91/a06133.html#a9c39c59cabe4c5206ae761d7703c112d">ExpansionContaminatedArea::m_ShellLight</a></div><div class="ttdeci">ShellLight m_ShellLight</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d2c/a02012_source.html#l00052">expansioncontaminatedarea.c:52</a></div></div>
<div class="ttc" id="aa06133_html_aa1cee0d62f88364d58e5d0d7cf39fdd0"><div class="ttname"><a href="../../df/d91/a06133.html#aa1cee0d62f88364d58e5d0d7cf39fdd0">ExpansionContaminatedArea::m_ToxicClouds</a></div><div class="ttdeci">ref array&lt; Particle &gt; m_ToxicClouds</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d2c/a02012_source.html#l00047">expansioncontaminatedarea.c:47</a></div></div>
<div class="ttc" id="aa06133_html_ab4b8970456f39b383e063d94678f1286"><div class="ttname"><a href="../../df/d91/a06133.html#ab4b8970456f39b383e063d94678f1286">ExpansionContaminatedArea::m_InnerSpacing</a></div><div class="ttdeci">int m_InnerSpacing</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d2c/a02012_source.html#l00035">expansioncontaminatedarea.c:35</a></div></div>
<div class="ttc" id="aa06133_html_ab6f8a14c47ec9468bacad5448d7beab4"><div class="ttname"><a href="../../df/d91/a06133.html#ab6f8a14c47ec9468bacad5448d7beab4">ExpansionContaminatedArea::PlayFX</a></div><div class="ttdeci">void PlayFX()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d2c/a02012_source.html#l00182">expansioncontaminatedarea.c:182</a></div></div>
<div class="ttc" id="aa06133_html_ab7629e10e03f63ce45414b9b169d68a4"><div class="ttname"><a href="../../df/d91/a06133.html#ab7629e10e03f63ce45414b9b169d68a4">ExpansionContaminatedArea::DECAY_START_PART_SIZE</a></div><div class="ttdeci">const float DECAY_START_PART_SIZE</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d2c/a02012_source.html#l00062">expansioncontaminatedarea.c:62</a></div></div>
<div class="ttc" id="aa06133_html_abc5195d705216d9c0b1d77d6945f8ee6"><div class="ttname"><a href="../../df/d91/a06133.html#abc5195d705216d9c0b1d77d6945f8ee6">ExpansionContaminatedArea::EEDelete</a></div><div class="ttdeci">override void EEDelete(EntityAI parent)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d2c/a02012_source.html#l00112">expansioncontaminatedarea.c:112</a></div></div>
<div class="ttc" id="aa06133_html_abe653a725ae7af97bcc8a4aab5a7543f"><div class="ttname"><a href="../../df/d91/a06133.html#abe653a725ae7af97bcc8a4aab5a7543f">ExpansionContaminatedArea::m_VerticalLayers</a></div><div class="ttdeci">int m_VerticalLayers</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d2c/a02012_source.html#l00039">expansioncontaminatedarea.c:39</a></div></div>
<div class="ttc" id="aa06133_html_ac21c2b5d6d9ec0f01480e4ca4cb3b184"><div class="ttname"><a href="../../df/d91/a06133.html#ac21c2b5d6d9ec0f01480e4ca4cb3b184">ExpansionContaminatedArea::DECAY_END_PART_SIZE</a></div><div class="ttdeci">const float DECAY_END_PART_SIZE</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d2c/a02012_source.html#l00064">expansioncontaminatedarea.c:64</a></div></div>
<div class="ttc" id="aa06133_html_ac2dbc63023e5fbe1914990dcaea5786a"><div class="ttname"><a href="../../df/d91/a06133.html#ac2dbc63023e5fbe1914990dcaea5786a">ExpansionContaminatedArea::m_ParticleID</a></div><div class="ttdeci">int m_ParticleID</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d2c/a02012_source.html#l00041">expansioncontaminatedarea.c:41</a></div></div>
<div class="ttc" id="aa06133_html_ac8277e216093fef1009d98d93046ca80"><div class="ttname"><a href="../../df/d91/a06133.html#ac8277e216093fef1009d98d93046ca80">ExpansionContaminatedArea::m_Radius</a></div><div class="ttdeci">float m_Radius</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d2c/a02012_source.html#l00031">expansioncontaminatedarea.c:31</a></div></div>
<div class="ttc" id="aa06133_html_aca50d4840415e1227d076b270ef3cfa4"><div class="ttname"><a href="../../df/d91/a06133.html#aca50d4840415e1227d076b270ef3cfa4">ExpansionContaminatedArea::PlayFlareVFX</a></div><div class="ttdeci">void PlayFlareVFX()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d2c/a02012_source.html#l00209">expansioncontaminatedarea.c:209</a></div></div>
<div class="ttc" id="aa06133_html_ae80a526fdf686f09f8c2aa04300edf22"><div class="ttname"><a href="../../df/d91/a06133.html#ae80a526fdf686f09f8c2aa04300edf22">ExpansionContaminatedArea::m_PPERequesterType</a></div><div class="ttdeci">string m_PPERequesterType</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d2c/a02012_source.html#l00044">expansioncontaminatedarea.c:44</a></div></div>
<div class="ttc" id="aa06133_html_ae96ca5f4d2a529ab02ea0bc096c8b3ba"><div class="ttname"><a href="../../df/d91/a06133.html#ae96ca5f4d2a529ab02ea0bc096c8b3ba">ExpansionContaminatedArea::m_OuterRingOffset</a></div><div class="ttdeci">int m_OuterRingOffset</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d2c/a02012_source.html#l00037">expansioncontaminatedarea.c:37</a></div></div>
<div class="ttc" id="aa06133_html_aee857f8cdc5fd24c33c85660788bcf3b"><div class="ttname"><a href="../../df/d91/a06133.html#aee857f8cdc5fd24c33c85660788bcf3b">ExpansionContaminatedArea::m_AroundParticleID</a></div><div class="ttdeci">int m_AroundParticleID</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d2c/a02012_source.html#l00042">expansioncontaminatedarea.c:42</a></div></div>
<div class="ttc" id="aa06133_html_af89c46328518d87ab6101e236a09570d"><div class="ttname"><a href="../../df/d91/a06133.html#af89c46328518d87ab6101e236a09570d">ExpansionContaminatedArea::OnVariablesSynchronized</a></div><div class="ttdeci">override void OnVariablesSynchronized()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d2c/a02012_source.html#l00135">expansioncontaminatedarea.c:135</a></div></div>
<div class="ttc" id="aa06133_html_afcc8cf39cc45393bc9aeaaa8ec11e1a7"><div class="ttname"><a href="../../df/d91/a06133.html#afcc8cf39cc45393bc9aeaaa8ec11e1a7">ExpansionContaminatedArea::ExpansionContaminatedArea</a></div><div class="ttdeci">void ExpansionContaminatedArea()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d2c/a02012_source.html#l00067">expansioncontaminatedarea.c:67</a></div></div>
<div class="ttc" id="aa06133_html_afe6158e246c9f85dee851b492ee160cf"><div class="ttname"><a href="../../df/d91/a06133.html#afe6158e246c9f85dee851b492ee160cf">ExpansionContaminatedArea::EEInit</a></div><div class="ttdeci">override void EEInit()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d2c/a02012_source.html#l00102">expansioncontaminatedarea.c:102</a></div></div>
<div class="ttc" id="aa06133_html_aff484f863007818245813674cb9acb37"><div class="ttname"><a href="../../df/d91/a06133.html#aff484f863007818245813674cb9acb37">ExpansionContaminatedArea::m_NegativeHeight</a></div><div class="ttdeci">float m_NegativeHeight</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d2c/a02012_source.html#l00033">expansioncontaminatedarea.c:33</a></div></div>
<div class="ttc" id="aa06953_html"><div class="ttname"><a href="../../d8/dca/a06953.html">Particle</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d75/a02639_source.html#l00013">particle.c:14</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_98a0d52b5ffeb2d0008749a8725e4adf.html">Missions</a></li><li class="navelem"><a class="el" href="../../dir_14d412830fda8cd862f99a875104cbc4.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_8f3056a5801212b4c0680d610841a69a.html">4_world</a></li><li class="navelem"><a class="el" href="../../dir_80fefec356581d7ce7c894c773b22eaf.html">dayzexpansion_missions</a></li><li class="navelem"><a class="el" href="../../dir_426fd42431c84d04c6ac50ff00dd5ef5.html">entities</a></li><li class="navelem"><a class="el" href="../../dir_2b8e3e9e56b84c062848f56bd1c404bf.html">contaminatedarea</a></li><li class="navelem"><a class="el" href="../../d5/d2c/a02012.html">expansioncontaminatedarea.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
